Send message
curl --request POST \
--url https://unify.bundleup.io/v1/chat/channels/{channel_id}/message \
--header 'Authorization: Bearer <token>' \
--header 'BU-Connection-ID: <bu-connection-id>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://unify.bundleup.io/v1/chat/channels/{channel_id}/message"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"BU-Connection-ID": "<bu-connection-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'BU-Connection-ID': '<bu-connection-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({text: '<string>'})
};
fetch('https://unify.bundleup.io/v1/chat/channels/{channel_id}/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": {
"data": {}
}
}{
"success": false,
"errors": [
{
"code": 7001,
"message": "Input Validation Error",
"path": [
"body"
]
}
]
}{
"success": false,
"errors": [
{
"code": 1000,
"message": "Not Authorized"
}
]
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Not Found"
}
]
}Chat
Send message
Send a chat message
POST
/
v1
/
chat
/
channels
/
{channel_id}
/
message
Send message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API Key for authentication
Connection ID for the integration
Maximum number of retries for the request
Path Parameters
Channel ID
Query Parameters
Include raw response from the integration
Available options:
true, false Body
application/json
Markdown-formatted message text
Response
Successful Response For message
Show child attributes
Show child attributes
Was this page helpful?
⌘I

